export declare const getFormattedContext: (context: string) => string;
/**
 * Concat the given context to the given name, then it is capitalized.
 * When context is production no suffix is added
 *
 * @example
 *
 * @param {string} name variable name
 * @param {string} context context name
 *
 * @return {string} formatted variable
 */
export declare const getFormattedName: (name: string, context?: string | undefined) => string;
export declare const getContextualizedVariables: (variables: Record<string, string>, context: string) => Record<string, string>;
export declare const getVariablesByContext: (env: Record<string, string>, context: string) => Record<string, string>;
/**
 * Group env variables by context
 * @param {object} env object with the variables definition
 *
 * @returns {object} grouped env variables
 */
export declare const groupVariablesByContext: (env: Record<string, string>, branches: string[]) => Record<string, Record<string, string>>;
