import { NetlifyContextSettings } from './netlify';
/**
 * Check if the given context name is the default one
 * @param {string} context context name
 *
 * @return {boolean} result
 */
export declare const isDefaultContext: (context: string) => boolean;
/**
 * Check if the given context is in the reserved contexts list
 * @param {string} context context name
 *
 * @returns {boolean} result
 */
export declare const isKnownContext: (context: string) => boolean;
/**
 * Check if the given context is valid by checking branch names and known contexts.
 * @param {string} context context name
 * @param {NetlifyContextSettings} settings site setting
 *
 * @return {boolean} result
 */
export declare const isValidContext: (context: string, settings: NetlifyContextSettings) => boolean;
