"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const validations_1 = require("./validations");
describe('isDefaultContext', () => {
    it('should return true it is the default context', function () {
        expect(validations_1.isDefaultContext('default')).toBeTruthy();
    });
    it('should return false it is not the default context', function () {
        expect(validations_1.isDefaultContext('develop')).toBeFalsy();
    });
});
describe('isValidContext', () => {
    const settings = {
        variables: {},
        branches: ['develop', 'staging'],
    };
    it('should return true if the given context is valid', function () {
        expect(validations_1.isValidContext('default', settings)).toBeTruthy();
        expect(validations_1.isValidContext('deploy-preview', settings)).toBeTruthy();
        expect(validations_1.isValidContext('branch-deploy', settings)).toBeTruthy();
        expect(validations_1.isValidContext('production', settings)).toBeTruthy();
        // custom deploy context
        expect(validations_1.isValidContext('develop', settings)).toBeTruthy();
        expect(validations_1.isValidContext('staging', settings)).toBeTruthy();
    });
    it('should return false it is not a valid context', function () {
        expect(validations_1.isValidContext('release', settings)).toBeFalsy();
        expect(validations_1.isValidContext('custom-branch', settings)).toBeFalsy();
    });
});
